#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.4.5
id: foldl-1.4.5-8MyOSDcSpEB4ftrN2XXHBi
key: foldl-1.4.5-8MyOSDcSpEB4ftrN2XXHBi
license: BSD-3-Clause
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
author: Gabriel Gonzalez
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
abi: 65348a09d1f72da520df4aa98ce709d2
exposed: True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl
hidden-modules: Control.Foldl.Optics Control.Foldl.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/foldl-1.4.5
library-dirs: /usr/lib/ghc-8.4.3/site-local/foldl-1.4.5
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/foldl-1.4.5
hs-libraries: HSfoldl-1.4.5-8MyOSDcSpEB4ftrN2XXHBi
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    mwc-random-0.14.0.0-G3WB7Ur1ZQJ5WcBeaI4Sue
    primitive-0.6.4.0-39Pwmm1zkQX6bM7xFUT3Jc text-1.2.3.0
    transformers-0.5.5.0 vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
    containers-0.5.11.0
    unordered-containers-0.2.9.0-KPgljVKoY3VBKTw1tFbcre
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    contravariant-1.5-5VBqEYOPGpyDW8QIali4BA
    profunctors-5.3-1vLLW2Ksqgzvx8QHja9Fj
    semigroupoids-5.3.1-8OS4VM2raLTJVVCO35HmEi
    comonad-5.0.4-8DHO5Jv74txFAsVesa3UB0
    vector-builder-0.3.6-1EFoVQnEbFD4MEjxPX7RSR
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             bytestring-0.10.8.2=9faa89cf4769cbd12751f8644ca9e618
             mwc-random-0.14.0.0-G3WB7Ur1ZQJ5WcBeaI4Sue=13b0a70bc032f17e1af67dfb839e49c8
             primitive-0.6.4.0-39Pwmm1zkQX6bM7xFUT3Jc=0a8d9e3ca28de3a4ac62e5f0044fa23c
             text-1.2.3.0=9752fd647a108be49a4cb0c2a4456f2b
             transformers-0.5.5.0=4f41484af13f560f1d83ed79e1be4572
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=8ec9732a4c43da9ed60d7a7b8971b540
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
             unordered-containers-0.2.9.0-KPgljVKoY3VBKTw1tFbcre=264f905ec4c04eb05b5ff3d7321fae90
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=0f14342a1ffe8710d31657335cf81134
             contravariant-1.5-5VBqEYOPGpyDW8QIali4BA=02e9ed60b8864056c6af15ff76a262ef
             profunctors-5.3-1vLLW2Ksqgzvx8QHja9Fj=fdad7ac77078077d7d6dc1f9ef91c180
             semigroupoids-5.3.1-8OS4VM2raLTJVVCO35HmEi=1775f5b42e6ffb9e45ba7dd65ba46972
             comonad-5.0.4-8DHO5Jv74txFAsVesa3UB0=3fee7a3e9e4d1ef82161e9071053e4bc
             vector-builder-0.3.6-1EFoVQnEbFD4MEjxPX7RSR=3b4ae1ecc44480351a5695eeb6111d69
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

